Skip to content

Creates a new region configuration record that does not already exist.

Request

This method will auto-generate an ID and create a new region configuration. If an ID is specified for the region configuration, an error will be thrown.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Bodyapplication/jsonrequired

The region configuration that you would like to be saved.

default_region_idstring(Default Region)

The default region id to use

namestring(Name)required

The name of the region configuration

notesstring(Notes)

Any notes about this configuration

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

zonesArray of objects
curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1/regionConfigurations/{tenantId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "default_region_id": "string",
    "name": "string",
    "notes": "string",
    "sys_bulk_load_id": "string",
    "sys_bulk_load_record_no": 0.1,
    "sys_bulk_load_source_file": "string",
    "sys_created_at": "2019-08-24T14:15:22Z",
    "sys_created_by_id": "string",
    "sys_directive": "string",
    "sys_external_id": "string",
    "sys_last_modified_at": "2019-08-24T14:15:22Z",
    "sys_last_modified_by_id": "string",
    "sys_locked": true,
    "sys_version": 0.1,
    "zones": [
      {
        "countries": [
          {
            "country": "string"
          }
        ],
        "enabled": true,
        "id": "string",
        "name": "string",
        "postal_code_ranges": [
          {
            "end": "string",
            "start": "string"
          }
        ],
        "region_id": "string",
        "states": [
          {
            "state": "string"
          }
        ],
        "type": "country"
      }
    ]
  }'

Responses

The region configuration was saved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
default_region_idstring(Default Region)

The default region id to use

namestring(Name)required

The name of the region configuration

notesstring(Notes)

Any notes about this configuration

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

zonesArray of objects
Response
{ "default_region_id": "string", "name": "string", "notes": "string", "sys_bulk_load_id": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_locked": true, "sys_version": 0.1, "zones": [ { … } ] }